## org.apache.xalan.xsltc.compiler
Interface SourceLoader

All Known Implementing Classes:
  TransformerFactoryImpl, TemplatesHandlerImpl

public interface SourceLoader

Method Summary
`InputSource` `loadSource(java.lang.String href, java.lang.String context, XSLTC xsltc)` This interface is used to plug external document loaders into XSLTC (used with the and elements.

Method Detail

### loadSource

    public InputSource loadSource(java.lang.String href,
                                  java.lang.String context,
                                  XSLTC xsltc)

  This interface is used to plug external document loaders into XSLTC (used with the and elements.
  Parameters:
    `href` - The URI of the document to load
    `context` - The URI of the currently loaded document
    `xsltc` - The compiler that resuests the document
  Returns:
    An InputSource with the loaded document

Copyright © 2006 Apache XML Project. All Rights Reserved.